# Interface CameraJson

The camera defines the position, tilt, and heading of the point from which the SceneView's visible extent is observed.

See https://developers.arcgis.com/web-scene-specification/objects/camera/.

interface CameraJson {
heading?: number;
position: PointJson;
tilt?: number;
}

#####
Index

### Properties

heading?
position
tilt?

##
Properties

### `Optional` heading

heading?: number

The heading of the camera in degrees. Heading is zero when north is the top of the screen. It increases as the view rotates clockwise. The angles are always normalized between 0 and 360 degrees.

### position

position: PointJson

The position of the camera defined by a map point.

### `Optional` tilt

tilt?: number

The tilt of the camera in degrees with respect to the surface as projected down from the camera position. Tilt is zero when looking straight down at the surface and 90 degrees when the camera is looking parallel to the surface.